Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow
Interface FlowSkipStrategy

All Known Implementing Classes:
  FlowSkipIfSinkExists, FlowSkipIfSinkNotStale

    public interface FlowSkipStrategy

Interface FlowSkipStrategy is used to create new strategies that decide when a `Flow` should be skipped when executed in a `Cascade`. The default strategy is `FlowSkipIfSinkNotStale`.

See Also:
  `FlowSkipIfSinkExists`, `FlowSkipIfSinkNotStale`

Method Summary
`boolean` | `skipFlow(Flow flow)`

Method Detail

### skipFlow

    boolean skipFlow(Flow flow)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.